/*
 * MX7456 
 * Author: Jess Lewis 
 * Date  : Dec 20th, 2009
 *
 * max7456.h
 *
 * Constant Definitions
 */
    

// Data Buffer
#define DATA_BUF_LENGTH           968


// MAX7456 device register definitions
//
// MAX7456 Video Mode 0 register
#define VM0_WRITE       		 0x00          
#define VM0_READ         		 0x80
#define VM0_40_PAL               0x40
#define VM0_20_NoAutoSync        0x20
#define VM0_10_SyncInt           0x10
#define VM0_08_EnOSD             0x08
#define VM0_04_UpdateVsync       0x04
#define VM0_02_Reset             0x02
#define VM0_01_EnVideo           0x01

// VIDEO MODE 0 bitmap
#define NTSC                      0x00
#define PAL                       0x40
#define AUTO_SYNC                 0x00
#define EXT_SYNC                  0x20
#define INT_SYNC                  0x30
#define OSD_EN                    0x08
#define VERT_SYNC_IMM             0x00
#define VERT_SYNC_VSYNC           0x04
#define SW_RESET                  0x02
#define BUF_EN                    0x00
#define BUF_DI                    0x01

#define HOS                       0x02  //horizontal offset
#define VOS                       0x03  //vertical offset


// MAX7456 Video Mode 1 register
#define VM1_WRITE 			      0x01
#define VM1_READ         		  0x81

// MAX7456 Display Memory Mode register
#define DMM_WRITE   	          0x04
#define DMM_READ	              0x84

// MAX7456 Display Memory Address High register
#define DMAH_WRITE 		          0x05
#define DMAH_READ       		  0x85

// MAX7456 Display Memory Address Low register
#define DMAL_WRITE 		          0x06
#define DMAL_READ       		  0x87

// MAX7456 Display Memory Data In register
#define DMDI_WRITE		          0x07
#define DMDI_READ       		  0x87

// MAX7456 Display Memory Data Out register
#define DMDO_READ 		          0xB0

// MAX7456 Character Memory Mode register
#define CMM_WRITE             	  0x08
#define CMM_READ             	  0x88

// MAX7456 Character Memory Address High register
#define CMAH_WRITE          	  0x09
#define CMAH_READ      		      0x89

// MAX7456 Character Memory Address Low register
#define CMAL_WRITE      	      0x0A
#define CMAL_READ  		          0x8A

// MAX7456 Character Memory Data In register
#define CMDI_WRITE 		          0x0B
#define CMDI_READ       		  0x8B

// MAX7456 Character Memory Data Out register
#define CMDO_READ          		  0xC0

// MAX7456 OSD Inservion Mux register
#define OSDM_WRITE 		          0x0C
#define OSDM_READ       		  0x8C

// MAX7456 Row 13 Brightness register bottom row for NTSC
#define RB13_WRITE 		          0x10
#define RB13_READ       		  0x90

// MAX7456 Row 15 Brightness register bottom row for PAL
#define RB15_WRITE 		          0x10
#define RB15_READ       		  0x90

// MAX7456 OSD Black Level
#define OSDBL_WRITE               0x6C
#define OSDBL_READ	              0xEC

// MAX7456 STATUS register
#define STATUS_READ  	               0xA0
#define STATUS_40_RESET_BUSY           0x40
#define STATUS_20_NVRAM_BUSY           0x20
#define STATUS_04_LOSS_OF_SYNC         0x04
#define STATUS_02_PAL_DETECTED         0x02
#define STATUS_01_NTSC_DETECTED        0x01
